Retrieve checkout fees
curl --request GET \
--url https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkoutFees": [
{
"appliesToPaymentType": "<string>",
"feeValue": 123,
"feeValueType": "<string>",
"id": "<string>",
"name": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Configuración de pagos
Retrieve checkout fees
Retrieve the current checkout fee settings for your HubSpot account. This endpoint provides information about any fees applied during the checkout process, which can be useful for understanding transaction costs and configuring payment settings.
GET
/
commerce
/
payments-settings
/
2027-03-beta
/
payments-settings
/
checkout-fees
Retrieve checkout fees
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Scopes1
contracts-read
Respuesta
successful operation
An array of CheckoutFeePublic objects, each representing a specific fee applied during the checkout process.
Show child attributes
Show child attributes
Última modificación el 6 de octubre de 2026